LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-21-2019, 08:21 AM   #1
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Rep: Reputation: 49
Unhappy Centos 7 update failing


Hi,

I have a fresh CentOS 7-1810 installation that fails every time I attempt to update it.

I googled the error message; my network connection is working okay, I did "yum clean all" and re-run 'yum -y update'; however, it still fails.

Can you assist?

Thank you
Lenovo B40-80
250GB Intel SSD

Error:

Code:
Some delta RPMs failed to download or rebuild. Retrying..
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://ftpmirror.your.org/pub/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://mirror.math.princeton.edu/pub/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://centos.eecs.wsu.edu/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://mirror.ash.fastserv.com/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://mirror.trouble-free.net/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://mirrors.tripadvisor.com/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://centos.mirror.constant.com/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://mirrors.tummy.com/mirrors/CentOS/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://ewr.edge.kernel.org/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.
polkit-0.112-18.el7_6.1.x86_64 FAILED                                          
http://repo1.ash.innoscale.net/centos/7.6.1810/updates/x86_64/Packages/polkit-0.112-18.el7_6.1.x86_64.rpm: [Errno 14] HTTP Error 416 - Requested Range Not Satisfiable
Trying other mirror.


Error downloading packages:
  polkit-0.112-18.el7_6.1.x86_64: [Errno 256] No more mirrors to try.
 
Old 03-21-2019, 08:29 AM   #2
TenTenths
Senior Member
 
Registered: Aug 2011
Location: Dublin
Distribution: Centos 5 / 6 / 7
Posts: 2,872

Rep: Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153
Check your outbound internet connectivity and your DNS resolution.

Try opening one of the URLs shown with curl or wget, or try opening it in a browser.
 
Old 03-21-2019, 08:38 AM   #3
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Original Poster
Rep: Reputation: 49
Hi TenTenths,

Internet connection is okay. DNS resolution works fine. I tried updating my CentOS at home and at work without success.

I tried going to one of the URLs and it works fine.
Attached Thumbnails
Click image for larger version

Name:	Screenshot from 2019-03-21 09-35-36.png
Views:	33
Size:	177.8 KB
ID:	30158  
 
Old 03-21-2019, 08:44 AM   #4
TenTenths
Senior Member
 
Registered: Aug 2011
Location: Dublin
Distribution: Centos 5 / 6 / 7
Posts: 2,872

Rep: Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153
Well I just successfuly updated the polkit package on mine:

Code:
# yum update polkit
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: centos.mirror.ate.info
 * epel: mirror.freethought-internet.co.uk
 * extras: centos.mirrors.ovh.net
 * remi: remi.mirror.ate.info
 * remi-php55: remi.mirror.ate.info
 * remi-safe: remi.mirror.ate.info
 * updates: mirrors.ircam.fr
Resolving Dependencies
--> Running transaction check
---> Package polkit.x86_64 0:0.112-12.el7_3 will be updated
---> Package polkit.x86_64 0:0.112-18.el7_6.1 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================
 Package                            Arch                               Version                                         Repository                           Size
=================================================================================================================================================================
Updating:
 polkit                             x86_64                             0.112-18.el7_6.1                                updates                             168 k

Transaction Summary
=================================================================================================================================================================
Upgrade  1 Package

Total download size: 168 k
Is this ok [y/d/N]: Y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
polkit-0.112-18.el7_6.1.x86_64.rpm                                                                                                        | 168 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : polkit-0.112-18.el7_6.1.x86_64                                                                                                                1/2
  Cleanup    : polkit-0.112-12.el7_3.x86_64                                                                                                                  2/2
  Verifying  : polkit-0.112-18.el7_6.1.x86_64                                                                                                                1/2
  Verifying  : polkit-0.112-12.el7_3.x86_64                                                                                                                  2/2

Updated:
  polkit.x86_64 0:0.112-18.el7_6.1

Complete!
So the bad news is that it's likely something on your side
 
Old 03-21-2019, 08:53 AM   #5
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Original Poster
Rep: Reputation: 49
Yes, I wonder if something went wrong during install that is affecting the ability to do updates/contact mirrors. :/
 
Old 03-21-2019, 09:12 AM   #6
TenTenths
Senior Member
 
Registered: Aug 2011
Location: Dublin
Distribution: Centos 5 / 6 / 7
Posts: 2,872

Rep: Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153Reputation: 1153
iptables?
 
Old 03-21-2019, 09:30 AM   #7
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Original Poster
Rep: Reputation: 49
TenTenths,

I disabled iptables and attempted to update. Same result. I am on a different CentOS 7 machine on the network and I was able to update it without any errors.

At this point, since it is a clean install, I will re-install CentOS7
 
Old 03-21-2019, 09:44 AM   #8
dc.901
Member
 
Registered: Aug 2018
Location: Atlanta, GA - USA
Distribution: CentOS 6-7; SuSE 8-12
Posts: 318

Rep: Reputation: 73
Have you tried reinstalling centos-release-7-6.1810.2.el7.centos.x86_64 RPM? You will most likely have to use --force to reinstall if you can't uninstall the one already on the system.

http://mirror.centos.org/centos/7/os...tos.x86_64.rpm
 
1 members found this post helpful.
Old 03-21-2019, 10:21 AM   #9
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Original Poster
Rep: Reputation: 49
Hi DC.901,

Reinstall CentOS did not fix the issue.
reinstalling the centos-release did not fix the issue either.
 
Old 03-21-2019, 10:55 AM   #10
jurep2006
LQ Newbie
 
Registered: Mar 2019
Posts: 1

Rep: Reputation: Disabled
Hello,

I had the same issue. And "yum update polkit" failed also.

Fetched the polkit package with wget and then did
rpm --upgrade -vh polkit-0.112-18.el7_6.1.x86_64.rpm
This worked.

Wonder now if my upgrade from
7.5.1804 --> 7.6.1810 will work.

Rgds,
Jure
 
1 members found this post helpful.
Old 03-21-2019, 11:02 AM   #11
Rhodes
LQ Newbie
 
Registered: Mar 2019
Posts: 1

Rep: Reputation: Disabled
Ran into the same issue this morning when attempting to yum update as well.

Fixed by manually retrieving the package via wget and running a yum localinstall on it.
 
1 members found this post helpful.
Old 03-21-2019, 11:17 AM   #12
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Original Poster
Rep: Reputation: 49
Rhode & Jurep2006

I followed your steps and now CentOS is updating!

Thank you!!!

Last edited by ceantuco; 03-21-2019 at 11:18 AM.
 
Old 03-21-2019, 11:53 AM   #13
ceantuco
Member
 
Registered: Mar 2008
Location: New York
Distribution: CentOS & Debian
Posts: 689

Original Poster
Rep: Reputation: 49
for kicks, I installed a Centos 7 VM and attempted to update. I got the same error message.
Thank you all!
 
Old 03-22-2019, 08:23 PM   #14
emperorlefty
LQ Newbie
 
Registered: Mar 2019
Posts: 1

Rep: Reputation: Disabled
Thumbs up polkit failing on yum update

Quote:
Originally Posted by jurep2006 View Post
Hello,

I had the same issue. And "yum update polkit" failed also.

Fetched the polkit package with wget and then did
rpm --upgrade -vh polkit-0.112-18.el7_6.1.x86_64.rpm
This worked.

Wonder now if my upgrade from
7.5.1804 --> 7.6.1810 will work.

Rgds,
Jure
Thank you, your post help me get past the same issue.
 
Old 03-24-2019, 09:50 PM   #15
JimWW1Y
LQ Newbie
 
Registered: Mar 2019
Posts: 1

Rep: Reputation: Disabled
I had a Cent0s 7.6.1810 VM I hadn't update4d in a while. Running "yum upgrade" failed for me as well. What worked for me was:

1 yum clean all
2 yum upgrade --exclude=polkit*
3 reboot
4 yum clean all
5 yum upgrade
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Failing to boot up due to failing to acces the GRUB spenot09 Linux - Software 7 10-19-2015 10:56 AM
compiz failing, GLcore.so failing to load Schrambo Linux - Desktop 4 02-23-2008 06:13 PM
eth1 failing on boot, IEEE firewire card driver failing, help jackuss_169 Linux - Laptop and Netbook 5 03-05-2005 07:34 AM
LILO install failing, Boot failing, but Installation fine. sramelyk Slackware 9 08-23-2003 02:37 PM
X failing to load; AddScreen/InitScreen failing for driver 0 weblion Linux - Software 1 08-01-2002 06:14 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 11:01 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration